package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSchedulBillE1Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractSchedulBillE1Info()
    {
        this("id");
    }
    protected AbstractSchedulBillE1Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 第1个表体 's null property 
     */
    public com.kingdee.eas.custom.gggl.SchedulBillInfo getParent()
    {
        return (com.kingdee.eas.custom.gggl.SchedulBillInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.gggl.SchedulBillInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 第1个表体 's 广告位编号 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getGgw()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("ggw");
    }
    public void setGgw(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("ggw", item);
    }
    /**
     * Object:第1个表体's 租赁起始日期property 
     */
    public java.util.Date getZlStartDate()
    {
        return getDate("zlStartDate");
    }
    public void setZlStartDate(java.util.Date item)
    {
        setDate("zlStartDate", item);
    }
    /**
     * Object:第1个表体's 租赁到期日期property 
     */
    public java.util.Date getZlEndDate()
    {
        return getDate("zlEndDate");
    }
    public void setZlEndDate(java.util.Date item)
    {
        setDate("zlEndDate", item);
    }
    /**
     * Object:第1个表体's 租赁周期/月property 
     */
    public String getZlzq()
    {
        return getString("zlzq");
    }
    public void setZlzq(String item)
    {
        setString("zlzq", item);
    }
    /**
     * Object:第1个表体's 租赁费property 
     */
    public java.math.BigDecimal getZlAmount()
    {
        return getBigDecimal("zlAmount");
    }
    public void setZlAmount(java.math.BigDecimal item)
    {
        setBigDecimal("zlAmount", item);
    }
    /**
     * Object:第1个表体's 备注property 
     */
    public String getRemak()
    {
        return getString("remak");
    }
    public void setRemak(String item)
    {
        setString("remak", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B22C80E3");
    }
}